Show / Hide Table of Contents

# Class ResultMessage

Result message object with timestamp and actual message

##### Inheritance

System.Object
ResultMessage

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ResultMessage

### Constructors

| Improve this Doc View Source

#### ResultMessage()

Default constructor, used for deserializing JSON RPC only

##### Declaration

    public ResultMessage()

| Improve this Doc View Source

#### ResultMessage(String)

Constructor with default "Now" time

##### Declaration

    public ResultMessage(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message |

| Improve this Doc View Source

#### ResultMessage(String, String)

Full constructor

##### Declaration

    public ResultMessage(string timeStamp, string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | timeStamp |
System.String | message |

### Properties

| Improve this Doc View Source

#### Message

Message contents

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Time

Timestamp of the message Stored in UTC ISO 8601 format; should be localized before displaying to any user

##### Declaration

    public string Time { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |